/*
	 Copyright 2001 (c) by Authors,
	 Swiss Federal Institute of Technology,
	 Computer Engineering and Networks Laboratory.
 
	 TOPSY -- A Teachable Operating System.
	 Implementation of a tiny and simple
	 micro kernel for teaching purposes.
 
	 For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
	 This software is provided under the terms of the GNU General Public 
	 Licence. A full copy of the GNU GPL is provided in the file COPYING 
	 found in the development root of Topsy.
 */
/*
 
	File:                  $Source: /home/ruf/cvs_Topsy/cvs/Topsy/IO/sa1100/Drivers/Attic/IXPuEng.h,v $
	Affiliation:           ETH Zuerich, TIK
	Version:               $Revision: 2922 $
	Last Date of Change:   $Date: 2007-03-19 17:48:52 +0100 (Mon, 19 Mär 2007) $  by: $Author: baderma $
 
*/

#ifndef _IXPUENG_H_
#define _IXPUENG_H_


#include "types.h"
#include "Topsy.h"


void uEng_Init(uint8 uEng);
void uEng_Enable(uint8 uEng);
void uEng_ResetAll(void);
void uEng_PrepareCtx(uint8 uEng, int ctx);
void uEng_EnableCtx(uint8 uEng, int ctx);
uint32* uEng_Stop(uint8 uEng);
void uEng_Restart(uint8 uEng, uint32 threaddata[]);
uint32 uEng_LoadAtAddress(uint8 uEng, uint32 *code, int length, uint32 addr);
Boolean uEng_ThreadIsWaiting(uint8 uEng, int ctx);
void uEng_PrintCSRs(uint8 uEng);
void uEng_PrintStore(uint8 uEng, int lines);

#endif

